package com.morozov.core_backend_api.config

data class Config(

    //Через сколько секунд можно запросить повторную отправку кода
    var code_resend_time: Int? = -1,
    //Количество попыток ввода кода подтверждения после отправки
    var code_try_amount: Int? = -1,

    //Стандартное количество сообщений, возвращаемых за один запрос при запросе сообщений из чатов
    var message_amount: Int? = -1,
    //Максимальное количество возвращаемых сообщений за один запрос
    var message_amount_max: Int? = -1,

    //Максимальное количество публичных ников, которые может использовать пользователь (для публичных групп) - защита от “киберсквоттерства” ников
    var max_nick_use: Int? = -1,

    //Максимальный размер загружаемого файла в байтах
    var max_file_size: Long? = -1,

    //Количество участников чата за один запрос
    var members_chat_get_amount: Int? = -1,

    //Максимальное количество участников чата за один запрос
    var members_chat_get_amount_max: Int? = -1
)